/*
Java version of Brill's Part-of-Speech Tagger
Copyright (C) 2003-2004, Jimmy Lin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, please visit 
http://www.gnu.org/copyleft/gpl.html

*/
package edu.mit.csail.brill;

import junit.framework.TestCase;

public class BTaggerTest extends TestCase {
    static {
        System.loadLibrary("BTagger");
    }

    private BTagger posTagger;

    protected void setUp() {
        posTagger = new BTagger();
        posTagger.setup();
    }

    public void testTag1() {
        String result = posTagger.tag("John loves Mary");
        assertTrue(result.equals("John/NNP loves/VBZ Mary/NNP "));
    }

    protected void tearDown() {
        posTagger.destroy();
    }
}
